For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Payments
          • Stored Instruments (Beta)
              • POSTCreate Instrument Access Token
              • GETList Instruments
              • POSTBulk Import Instruments
              • PUTUpdate Instrument
              • DELBulk Delete Instruments
              • DELRemove Instrument from Store and Gateway
              • GETList Available Payment Method Ids
        • Methods
          • Transactions (Beta)
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminPaymentsStored Instruments (Beta)Manage Instruments

List Available Payment Method Ids

Beta
GET
https://api.bigcommerce.com/stores/:store_hash/v3/payments/stored-instruments/methods
GET
/stores/:store_hash/v3/payments/stored-instruments/methods
$curl -G https://api.bigcommerce.com/stores/store_hash/v3/payments/stored-instruments/methods \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -d currency_code=currency_code
1{
2 "data": [
3 {
4 "method_id": "braintree.credit_card",
5 "test_mode": false,
6 "supported_instruments": [
7 "raw_card"
8 ],
9 "name": "Credit card",
10 "type": "credit_card"
11 }
12 ],
13 "meta": {}
14}

Lists all available payment method IDs that support stored instruments. This list will include all types of stored instruments namely card, account, and bank_account instruments.

Was this page helpful?
Previous

Remove Instrument from Store and Gateway

Next

Payment Methods

Built with

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Create Paymentscreatestore_payments_access_token_create
Get Payment Methodsread-onlystore_payments_methods_read

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Query parameters

currency_codestringRequired
The store hash.

Response

OK
datalist of objects
metaobject
Response metadata.

Errors

401
Unauthorized Error

The MIME type of the response body.